# Uses of Class
ch.qos.logback.core.joran.util.beans.BeanDescriptionCache

Packages that use BeanDescriptionCache
Package
Description
ch.qos.logback.core.joran
Contains Joran configuration classes.
ch.qos.logback.core.joran.action
ch.qos.logback.core.joran.util

## Uses of BeanDescriptionCache in ch.qos.logback.core.joran

Methods in ch.qos.logback.core.joran that return BeanDescriptionCache
Modifier and Type
Method
Description
`protected BeanDescriptionCache`
GenericConfigurator.`getBeanDescriptionCache()`

## Uses of BeanDescriptionCache in ch.qos.logback.core.joran.action

Constructors in ch.qos.logback.core.joran.action with parameters of type BeanDescriptionCache
Modifier
Constructor
Description
``
`NestedBasicPropertyIA(BeanDescriptionCache beanDescriptionCache)`
``
`NestedComplexPropertyIA(BeanDescriptionCache beanDescriptionCache)`
``
`ParamAction(BeanDescriptionCache beanDescriptionCache)`

## Uses of BeanDescriptionCache in ch.qos.logback.core.joran.util

Constructors in ch.qos.logback.core.joran.util with parameters of type BeanDescriptionCache
Modifier
Constructor
Description
``
`PropertySetter(BeanDescriptionCache beanDescriptionCache, Object obj)`
Create a new PropertySetter for the specified Object.